Skip to main content
Datum’s official MCP server helps you connect AI tools to your Datum projects using an open standard, the Model Context Protocol (MCP). Datum MCP gives AI tools secure access to your Datum resources. You can understand their current state, suggest and implement changes, and diagnose common configuration issues. Datum MCP integrates with popular AI assistants like Cursor, enabling you to view and manage:
  • Organizations
  • Users
  • Projects
  • Domains
  • Proxies
  • APIs (CRDs list/describe)
Datum MCP implements the latest MCP Authorization specifications and supports OAuth 2.1 (PKCE) auth or macOS Keychain token storage.
Using datumctl? See Connecting an AI client with the MCP server for how the CLI docs frame this server and when to reach for it. Prefer to stay in the terminal instead? datumctl has a built-in assistant that answers questions in natural language without a separate MCP client — see the AI assistant guide.
Install - We offer three ways to get started:
  1. Quick install
  2. Manual download
  3. Add to Cursor locally
Visit the Datum MCP repo on GitHub for more information. From the command line, this will install Datum MCP on your system:
curl -fsSL https://github.com/datum-cloud/datum-mcp/releases/latest/download/install.sh | sh
The latest release is available at https://github.com/datum-cloud/datum-mcp/releases/latest. Binaries are available for Linux, MacOS and Windows on x86 and arm64 versions. Add this to your AI client config to run the server via stdio.
{
  "datum-mcp": {
    "command": "datum-mcp",
    "args": []
  }
}
To add the Datum MCP to Cursor, this one-click command will suffice:  Add to Cursor Auth Flow - When you first use Datum MCP, the server opens a browser for OAuth (PKCE), then stores credentials (including a refresh token) in the system keychain. Subsequent calls reuse/refresh the token from the keychain automatically. Available tools - Datum MCP provides a comprehensive set of tools for searching documentation and managing your Datum projects. Datum MCP currently supports the following tools:
  • organizationmemberships (organizations) - list, get, set
  • users - list
  • projects - list, get, set, create
  • domains - list, get, create, update, delete
  • httpproxies - list, get, create, update, delete
  • httproutes - list, get, create, update, delete
  • gateways - list, get, create, update, delete
  • trafficprotectionpolicies - list, get, create, update, delete
  • apis - list, get
  • dnszones - list, get, create, update, delete
  • dnsrecordsets - list, get, create, update, delete
  • dnszoneclass - list, get
Last modified on July 2, 2026